Function
toSourcePosition
Transforms view to source position, if the view position is a gap, the original position of the next non-gap entry is returned.
toSourcePosition(gaps, pos)
Include Headers
seqan/align.h
Parameters

gap | A Gaps object, e.g. a row in the alignment. Types: Gaps
pos | Position in the view sequence (this includes gaps) to get the original position for.

Remarks
If gap is a clipped alignment row, gaps in the clipped part will influence the result. The position pos is counted from the unclipped begin position.
Return Values
The position in the source sequence.
Member of
Gaps
See Also
toViewPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59